[Version]
Signature="$CHICAGO$" 
DEVTYPE_INI_FILE =1

[FLAGS]
CTY_PARMS = 0

[TASKS]
AddReg = PCEE4GlobalKeys.AddReg

[PCEE4GlobalKeys.AddReg]
;; Limit Dolby PCEE4 LFX APO instances to 2
HKLM, "SOFTWARE\Dolby\PCEE4\StaticKeys", "{DD0DF94B-53A2-4A92-854E-91F42E28FD7B},68", %REG_DWORD%, 0x00000002

[Strings]
;;;These are argument #1 variables. The CoInstaller uses this to determine the Registry path to use.
;;;This defines whether the parameter is Audio Endpoint data or Endpoint data. It also indicates if this will be a "capture" or "render" data.
;;;The Audio Endpoint data will go in the Registry key "Properties" and The Endpoint data will go in the Registry key "FxProperties"
Render_AudioEndpoint_Flag	= 0
Render_Endpoint_Flag		= 1
Capture_AudioEndpoint_Flag	= 2
Capture_Endpoint_Flag		= 3
Render_Root_Flag		= 4
Capture_Root_Flag		= 5

;;;These are argument #2 variables
PKEY_Endpoint_GFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},2"
PKEY_Endpoint_LFX_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},1"
PKEY_Endpoint_UI_CLSID = "{d04e05a6-594b-4fb6-a80d-01af5eed7d1d},3"
PKEY_Endpoint_ID = "{A4A2C5A8-D979-4939-B4D5-AA85D6F08162},0"

; Dolby PCEE4 Defines
PCEE4_HT_PREMIX_CLSID           = "{BC8E3B67-3306-4eef-B230-6798E9A67F0B}" ; analog driver Dolby Home Theater v4
PCEE4_HT_POSTMIX_CLSID          = "{56E00778-C664-4bb5-AA2B-CA6F14840BB3}" ; analog driver premium
PCEE4_UI_CLSID                  = "{C53E5AAF-5F6F-41c2-9F63-ADEBBC9B6B64}" ; analog driver mainstream
PCEE4_FORMFACTOR_OVERRIDE       = "{DD0DF94B-53A2-4a92-854E-91F42E28FD7B},0"; analog driver form factor override

; Microsoft
FX_UI_CLSID      = "{5860E1C5-F95C-4a7a-8EC8-8AEF24F379A1}"
FX_PREMIX_CLSID  = "{62dc1a93-ae24-464c-a43e-452f824c4250}"
FX_POSTMIX_CLSID = "{637c490d-eee3-4c0a-973f-371958802da2}"
FX_FriendlyName  = "Microsoft Audio Home Theater Effects"

;;;These are argument #3 variables. These are standard INF values decribing the format type of the Registry value.
REG_DWORD = 0x10001
REG_QUALIFIER = 0x11111111